// Glyph Button TestDlg.cpp : implementation file
//

#include "stdafx.h"
#include "Glyph Button Test.h"
#include "Glyph Button TestDlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CGlyphButtonTestDlg dialog

CGlyphButtonTestDlg::CGlyphButtonTestDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CGlyphButtonTestDlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(CGlyphButtonTestDlg)
		// NOTE: the ClassWizard will add member initialization here
	//}}AFX_DATA_INIT
	// Note that LoadIcon does not require a subsequent DestroyIcon in Win32
	m_hIcon = AfxGetApp()->LoadIcon(IDR_MAINFRAME);
}

void CGlyphButtonTestDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CGlyphButtonTestDlg)
	DDX_Control(pDX, IDC_BUTTON3, m_btnOther);
	DDX_Control(pDX, IDC_BUTTON2, m_btnEdit);
	DDX_Control(pDX, IDC_BUTTON1, m_btnDelete);
	//}}AFX_DATA_MAP
}

BEGIN_MESSAGE_MAP(CGlyphButtonTestDlg, CDialog)
	//{{AFX_MSG_MAP(CGlyphButtonTestDlg)
	ON_WM_PAINT()
	ON_WM_QUERYDRAGICON()
	ON_BN_CLICKED(IDC_BUTTON1, OnButtonDelete)
	ON_BN_CLICKED(IDC_BUTTON2, OnButtonEdit)
	ON_BN_CLICKED(IDC_BUTTON3, OnButton3)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CGlyphButtonTestDlg message handlers

BOOL CGlyphButtonTestDlg::OnInitDialog()
{
	CDialog::OnInitDialog();

	// Set the icon for this dialog.  The framework does this automatically
	//  when the application's main window is not a dialog
	SetIcon(m_hIcon, TRUE);			// Set big icon
	SetIcon(m_hIcon, FALSE);		// Set small icon
	
	m_btnDelete.SetButtonType(CGlyphButton::BTN_DELETE);
	m_btnEdit.SetButtonType(CGlyphButton::BTN_EDIT);
	m_btnOther.SetGlyphEx(-20, FW_BOLD, "Arial", 169);

	return TRUE;  // return TRUE  unless you set the focus to a control
}

// If you add a minimize button to your dialog, you will need the code below
//  to draw the icon.  For MFC applications using the document/view model,
//  this is automatically done for you by the framework.

void CGlyphButtonTestDlg::OnPaint() 
{
	if (IsIconic())
	{
		CPaintDC dc(this); // device context for painting

		SendMessage(WM_ICONERASEBKGND, (WPARAM) dc.GetSafeHdc(), 0);

		// Center icon in client rectangle
		int cxIcon = GetSystemMetrics(SM_CXICON);
		int cyIcon = GetSystemMetrics(SM_CYICON);
		CRect rect;
		GetClientRect(&rect);
		int x = (rect.Width() - cxIcon + 1) / 2;
		int y = (rect.Height() - cyIcon + 1) / 2;

		// Draw the icon
		dc.DrawIcon(x, y, m_hIcon);
	}
	else
	{
		CDialog::OnPaint();
	}
}

// The system calls this to obtain the cursor to display while the user drags
//  the minimized window.
HCURSOR CGlyphButtonTestDlg::OnQueryDragIcon()
{
	return (HCURSOR) m_hIcon;
}

void CGlyphButtonTestDlg::OnButtonDelete() 
{
	::MessageBeep(MB_ICONASTERISK);
}

void CGlyphButtonTestDlg::OnButtonEdit() 
{
	::MessageBeep(MB_ICONHAND);
}

void CGlyphButtonTestDlg::OnButton3() 
{
	::MessageBeep(MB_ICONEXCLAMATION);
}
